Bug 215769 - emulators/linux_base-c7: Can't install package with linprocfs mounted
Summary: emulators/linux_base-c7: Can't install package with linprocfs mounted
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-04 18:46 UTC by Andrey Cherkashin
Modified: 2017-01-15 10:40 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (emulation)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Cherkashin 2017-01-04 18:46:43 UTC
I get this error during installation of emulators/linux_base-c7:
   Installing linux_base-c7-7.2.1511_3...                                                                                                                                                                                                                                                                                            
   pkg-static: Fail to set time on /compat/linux/proc: Operation not supported                                                                                                                                                                                                                                                

uname -a: 11.0-STABLE FreeBSD 11.0-STABLE #16 r310041

Running `umount linprocfs` prior installation avoids the problem.
Comment 1 Tijl Coosemans freebsd_committer 2017-01-04 20:04:24 UTC
Bapt, you fixed a similar error in ports r425303.  That was about the mode.  This is about the timestamp.  Is pkg doing something wrong here?
Comment 2 commit-hook freebsd_committer 2017-01-14 13:13:50 UTC
A commit references this bug:

Author: tijl
Date: Sat Jan 14 13:13:32 UTC 2017
New revision: 431465
URL: https://svnweb.freebsd.org/changeset/ports/431465

Log:
  Don't use @dir for directories that may have filesystems mounted.  It may
  not be possible to change their mode and timestamp like @dir tries to do.

  PR:		215769
  MFH:		2017Q1

Changes:
  head/emulators/linux_base-c6/Makefile
  head/emulators/linux_base-c6/pkg-plist.i386
  head/emulators/linux_base-c6/pkg-plist.x86_64
  head/emulators/linux_base-c7/Makefile
  head/emulators/linux_base-c7/pkg-plist.i386
  head/emulators/linux_base-c7/pkg-plist.x86_64
Comment 3 commit-hook freebsd_committer 2017-01-15 10:40:19 UTC
A commit references this bug:

Author: tijl
Date: Sun Jan 15 10:39:55 UTC 2017
New revision: 431543
URL: https://svnweb.freebsd.org/changeset/ports/431543

Log:
  MFH: r431465

  Don't use @dir for directories that may have filesystems mounted.  It may
  not be possible to change their mode and timestamp like @dir tries to do.

  PR:		215769
  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/emulators/linux_base-c6/Makefile
  branches/2017Q1/emulators/linux_base-c6/pkg-plist.i386
  branches/2017Q1/emulators/linux_base-c6/pkg-plist.x86_64
  branches/2017Q1/emulators/linux_base-c7/Makefile
  branches/2017Q1/emulators/linux_base-c7/pkg-plist.i386
  branches/2017Q1/emulators/linux_base-c7/pkg-plist.x86_64